Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.dlna.types
Class BufferInfoType

    java.lang.Object
      org.fourthline.cling.support.model.dlna.types.BufferInfoType

    public class BufferInfoType

extends Object

Author:
  Mario Franco

Constructor Summary
`BufferInfoType(Long dejitterSize)`
`BufferInfoType(Long dejitterSize, CodedDataBuffer cdb, Long targetDuration, Boolean fullnessReports)`

Method Summary
`CodedDataBuffer` | `getCdb()`
`Long` | `getDejitterSize()`
`String` | `getString()`
`Long` | `getTargetDuration()`
`Boolean` | `isFullnessReports()`
`static BufferInfoType` | `valueOf(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferInfoType

    public BufferInfoType(Long dejitterSize)

### BufferInfoType

    public BufferInfoType(Long dejitterSize,
                          CodedDataBuffer cdb,
                          Long targetDuration,
                          Boolean fullnessReports)

Method Detail

### valueOf

    public static BufferInfoType valueOf(String s)
                                  throws InvalidValueException

  Throws:
    `InvalidValueException`

### getString

    public String getString()

### getDejitterSize

    public Long getDejitterSize()

  Returns:
    the dejitter size

### getCdb

    public CodedDataBuffer getCdb()

  Returns:
    the cdb

### getTargetDuration

    public Long getTargetDuration()

  Returns:
    the targetDuration

### isFullnessReports

    public Boolean isFullnessReports()

  Returns:
    the fullnessReports

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.